package explorviz.hpc_monitoring.reader;

import com.lmax.disruptor.EventFactory;

/**
 * WARNING: This is a mutable object which will be recycled by the RingBuffer.
 * You must take a copy of data it holds
 * before the framework recycles it.
 */
public final class ByteArrayEvent {
    private byte[] value;
    private int    length;

    public final byte[] getValue() {
        return value;
    }

    public void setValue(final byte[] value) {
        this.value = value;
    }

    public final int getLength() {
        return length;
    }

    public void setLength(final int length) {
        this.length = length;
    }

    public final static EventFactory<ByteArrayEvent> EVENT_FACTORY = new EventFactory<ByteArrayEvent>() {
                                                                   @Override
                                                                   public ByteArrayEvent newInstance() {
                                                                       return new ByteArrayEvent();
                                                                   }
                                                               };
}