package explorviz.hpc_monitoring.reader;

import com.lmax.disruptor.EventFactory;
import explorviz.hpc_monitoring.record.IRecord;

/**
 * WARNING: This is a mutable object which will be recycled by the RingBuffer.
 * You must take a copy of data it holds
 * before the framework recycles it.
 */
public final class RecordEvent {
    private IRecord value;

    public final IRecord getValue() {
        return value;
    }

    public void setValue(final IRecord value) {
        this.value = value;
    }

    public final static EventFactory<RecordEvent> EVENT_FACTORY = new EventFactory<RecordEvent>() {
                                                                    @Override
                                                                    public RecordEvent newInstance() {
                                                                        return new RecordEvent();
                                                                    }
                                                                };
}